<?php

namespace Drupal\toggle_channels\Logger;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\toggle_channels\Form\SettingsForm;
use Psr\Log\LoggerInterface;

class NullableLogger implements LoggerInterface {
  /** @var \Drupal\Core\Config\ImmutableConfig $config */
  protected $config;

  /**
   * ConfigurableLogger constructor.
   *
   * @param \Drupal\Core\Config\ConfigFactoryInterface $configFactory
   */
  public function __construct(ConfigFactoryInterface $configFactory) {
    $this->config = $configFactory->get(SettingsForm::SETTINGS);
  }

  public function log($level, $message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function info($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function error($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function notice($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function warning($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function critical($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function alert($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function debug($message, array $context = []) {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public function emergency($message, array $context = []) {
    return true;
  }

}
