<?php

namespace Drupal\toggle_channels\Logger;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\toggle_channels\Form\SettingsForm;
use Drupal\Core\Config\ImmutableConfig;
use Psr\Log\LoggerInterface;
use Drupal\Core\Logger\LoggerChannelFactory;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class NullLogger
 */
class NullableLoggerChannel extends LoggerChannelFactory {
  /** @var ImmutableConfig $config */
  protected $config;

  /** @var LoggerInterface $logger */
  protected $logger;

  public function __construct(ConfigFactoryInterface $config, LoggerInterface $logger) {
    $this->config = $config->get(SettingsForm::SETTINGS);
    // Nullable logger
    $this->logger = $logger;
  }

  public function addLogger(LoggerInterface $logger, $priority = 0) {
    if ($this->config->get('toggle_logger')) {
      $disabledChannel = $this->config->get('toggle_channels');

      foreach ($disabledChannel as $key => $channel) {
        if ($channel !== 0) {
          $channelInstance = $this->get($channel);
          $channelInstance->setLoggers([$priority => [0 => $this->logger]]);
        }
      }
    }

    parent::addLogger($logger, $priority);
  }

  public function setContainer(ContainerInterface $container = NULL) {
    parent::setContainer($container);
  }
}
